> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Token Payrolls

> Lists the org's token payrolls, optionally filtered by payroll entity, via the stablecoin payroll service.

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-all-token-payrolls
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-all-token-payrolls:
    get:
      operationId: getAllTokenPayrolls
      summary: Get All Token Payrolls
      x-toku-required-scope: payroll:read
      description: >-
        Lists the org's token payrolls, optionally filtered by payroll entity,
        via the stablecoin payroll service.


        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: payrollEntityId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllTokenPayrollsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllTokenPayrollsResponse:
      type: object
      properties:
        payrolls:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              id:
                type:
                  - string
                  - 'null'
              name:
                type:
                  - string
                  - 'null'
              subName:
                type:
                  - string
                  - 'null'
              entity:
                type:
                  - string
                  - 'null'
              payPeriodStart:
                type:
                  - string
                  - 'null'
              payPeriodEnd:
                type:
                  - string
                  - 'null'
              payDate:
                type:
                  - string
                  - 'null'
              currentStep:
                type:
                  - string
                  - 'null'
              state:
                type:
                  - string
                  - 'null'
              type:
                type:
                  - string
                  - 'null'
              isStablecoinOnlySettlement:
                type:
                  - boolean
                  - 'null'
              externalPayrollID:
                type:
                  - string
                  - 'null'
              fiatCurrency:
                type:
                  - string
                  - 'null'
              tokenTypeID:
                type:
                  - string
                  - 'null'
              exchangeRate:
                type:
                  - number
                  - 'null'
              isStablecoinPayrollComplete:
                type:
                  - boolean
                  - 'null'
              isFiatPayrollComplete:
                type:
                  - boolean
                  - 'null'
              isSyncedFromHRIS:
                type:
                  - boolean
                  - 'null'
              selectedEmployeeIds:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              importedData: {}
              processedData: {}
              settlementData: {}
              isCsvUploaded:
                type:
                  - boolean
                  - 'null'
              createdAt:
                type:
                  - string
                  - 'null'
              updatedAt:
                type:
                  - string
                  - 'null'
              isPlaceholder:
                type:
                  - boolean
                  - 'null'
              createdByID:
                type:
                  - string
                  - 'null'
              lastModifiedByID:
                type:
                  - string
                  - 'null'
              orgID:
                type:
                  - string
                  - 'null'
              payrollSyncedSource:
                type:
                  - string
                  - 'null'
              payrollGroup:
                type:
                  - string
                  - 'null'
              integrationEntityName:
                type:
                  - string
                  - 'null'
              payrollIntegrationEntityId:
                type:
                  - string
                  - 'null'
              fireblocksConfig:
                type:
                  - object
                  - 'null'
                properties:
                  vaultAccountId:
                    type:
                      - string
                      - 'null'
                  source:
                    type:
                      - string
                      - 'null'
              contributorsInTokenPayroll:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  properties:
                    roleInOrgID:
                      type:
                        - string
                        - 'null'
                    roleInOrg:
                      type:
                        - object
                        - 'null'
                      properties:
                        externalEmployeeID:
                          type:
                            - string
                            - 'null'
                        person:
                          type:
                            - object
                            - 'null'
                          properties:
                            givenName:
                              type:
                                - string
                                - 'null'
                            familyName:
                              type:
                                - string
                                - 'null'
                            users:
                              type:
                                - array
                                - 'null'
                              items:
                                type: object
                                properties:
                                  loginEmail:
                                    type:
                                      - string
                                      - 'null'
                    totalPayrollAmount:
                      type:
                        - string
                        - 'null'
                    netPayrollAmount:
                      type:
                        - string
                        - 'null'
                    totalDeductionAmount:
                      type:
                        - string
                        - 'null'
              payrollEntity:
                type:
                  - object
                  - 'null'
                properties:
                  name:
                    type:
                      - string
                      - 'null'
                  country:
                    type:
                      - string
                      - 'null'
            required:
              - importedData
              - processedData
              - settlementData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
